Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026851
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2014-06-12 16:242014-08-08 18:54
ReporterjonalegriaesarteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision69e3ea6e8f8f
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026851: Business partner can be set as inactive with documents in draft status related

DescriptionBusiness partner can be set as inactive with documents in draft status related. The main issue here is that the user can book sales orders, for example, of inactive business partners
Steps To Reproduce- Create a sales order
- Set the business partner as inactive
- Book the sales order. The system does not show any error
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00275873.0PR15Q1 closedfsoto82 Goods shipment / receipts and Invoices can be completed for inactive business partners 

-  Notes
(0068961)
rafaroda (developer)
2014-07-29 18:07

Check when Booking if Business Partner is active: if not, display error message.
(0069018)
hgbot (developer)
2014-07-31 20:10

Repository: erp/devel/pi
Changeset: 69e3ea6e8f8f3ec31be3f6e78f226eb0bd7a5392
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jul 31 17:03:13 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/69e3ea6e8f8f3ec31be3f6e78f226eb0bd7a5392 [^]

Fixes Issue 26851:Order Document with inactive BusinessPartner can't be booked

---
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0069021)
rafaroda (developer)
2014-08-01 07:51

Now error message "Business Partner used in transaction is inactive." is properly displayed: see https://drive.google.com/folderview?id=0B649lz4ZYJcHMWxRQzNWdDVWVDQ&usp=sharing [^]
(0069250)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-12 16:24 jonalegriaesarte New Issue
2014-06-12 16:24 jonalegriaesarte Assigned To => pramakrishnan
2014-06-12 16:24 jonalegriaesarte Modules => Core
2014-06-12 16:24 jonalegriaesarte Triggers an Emergency Pack => No
2014-06-16 12:48 jonalegriaesarte Target Version PR14Q3 => PR14Q4
2014-07-29 18:07 rafaroda Status new => scheduled
2014-07-29 18:07 rafaroda Note Added: 0068961
2014-07-29 18:07 rafaroda Assigned To pramakrishnan => AtulOpenbravo
2014-07-29 18:07 rafaroda fix_in_branch => pi
2014-07-31 20:07 AtulOpenbravo Review Assigned To => rafaroda
2014-07-31 20:07 AtulOpenbravo fix_in_branch pi =>
2014-07-31 20:10 hgbot Checkin
2014-07-31 20:10 hgbot Note Added: 0069018
2014-07-31 20:10 hgbot Status scheduled => resolved
2014-07-31 20:10 hgbot Resolution open => fixed
2014-07-31 20:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/69e3ea6e8f8f3ec31be3f6e78f226eb0bd7a5392 [^]
2014-08-01 07:51 rafaroda Note Added: 0069021
2014-08-01 07:51 rafaroda Status resolved => closed
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069250
2014-09-11 12:43 ngarcia Relationship added related to 0027587


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker